(defproject bombnet "0.1.0-SNAPSHOT"
  :description "Bomberman-like game"
  :url ""
  :license {:name "WTFPL"
            :url "http://www.wtfpl.net/txt/copying/"}
  :dependencies [[org.clojure/clojure "1.7.0"]
                 [org.clojure/clojurescript "1.7.170"]
                 [org.clojure/core.async "0.2.374"]
                 [org.clojure/data.json "0.2.6"]
                 [com.stuartsierra/component "0.3.1"]
                 [compojure "1.4.0"]
                 [http-kit "2.1.19"]]
  :plugins [[lein-figwheel "0.5.0-4"]]
  :source-paths ["src/"]
  :cljsbuild {:builds [{:id "dev"
                        :figwheel true
                        :source-paths ["src/bombnet.web"]
                        :compiler {:main "bombnet.web.core"
                                   :asset-path "js/out"
                                   :output-to "resources/public/js/main.js"
                                   :output-dir "resources/public/js/out"}}]}
  :main ^:skip-aot bombnet.core
  :target-path "target/%s"
  :profiles {:uberjar {:aot :all}})
